# use latest Ada for Automation Basis Development as base image
FROM registry.gitlab.com/ada-for-automation/docker/a4a-netpi-rte-builder/netpi-a4a-basis-dev:latest

# enable building ARM container on x86 machinery on the web (comment out next line if built on Raspberry)
RUN [ "cross-build-start" ]

# labeling
LABEL maintainer="slos@hilscher.com" \
      version="V0.0.3" \
      description="Debian(bookworm) / Hilscher netX / Ada for Automation Web Development"

# version
ENV ADA_FOR_AUTOMATION_HILX_WEB_DEV_VERSION 0.0.3

# install Gnoga and dependencies (Simple Components, ZanyBlue)
RUN mkdir --parents /home/pi/Ada/Gnoga \
    && cd /home/pi/Ada/Gnoga \
    && git clone https://git.code.sf.net/p/gnoga/code code \
    && cd code \
    && git checkout dev_2.2 \
    && make BUILD_MODE=Release install

ENV GPR_PROJECT_PATH /home/pi/Ada/Gnoga/code/inst_folder/share/gpr

# build some Ada for Automation Web demo applications
#RUN cd "/home/pi/Ada/A4A/demo/052 a4a_hilscherx_piano" && Arch=armhf make

# SSH port
EXPOSE 22

# the entrypoint shall start ssh
ENTRYPOINT ["/usr/sbin/sshd", "-D"]

# set STOPSIGNAL
STOPSIGNAL SIGTERM

# stop processing ARM emulation (comment out next line if built on Raspberry)
RUN [ "cross-build-end" ]
